> For the complete documentation index, see [llms.txt](https://docs.invitelogger.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.invitelogger.me/general-topics/commands/config.md).

# 🌀 Config

Here is the config command list:

<table data-header-hidden><thead><tr><th width="264">Command</th><th width="204.33333333333331">Description</th><th>Syntax</th></tr></thead><tbody><tr><td>Command</td><td>Description</td><td>Syntax</td></tr><tr><td><code>/setlogs</code></td><td>Set channels for the join and leave messages.</td><td><strong>/setlogs</strong> &#x3C;<em>type</em>: <code>join</code> | <code>leave</code> ></td></tr><tr><td><code>/fakeConfig</code></td><td>Configure how invites are counted as <a href="/pages/wv43i58nlkA913LwZrZA">fake</a></td><td><strong>/fakeconfig</strong></td></tr><tr><td><code>/setLang</code></td><td>Change the bot's language.</td><td><strong>/setLang</strong></td></tr><tr><td><code>/blacklist</code></td><td><a href="/pages/G6REWBuKk2KvtlOENNve">Blacklist </a>members/roles from the leaderboard</td><td><strong>/blacklist list</strong><br><strong>/blacklist add-member</strong> &#x3C;<em>user</em>:<code>@usertoblacklist</code>> [<em>reason</em>:<code>Why is this user blacklisted</code>]<br><strong>/blacklist add-role</strong> [<em>reason</em>:<code>Why is this role blacklisted</code>]<br><strong>/blacklist remove</strong> &#x3C;<em>id</em>:<code>User or Role id to unblacklist</code>></td></tr><tr><td><code>/advancedConfig</code></td><td>Configure InviteLogger advanced features</td><td><strong>/advancedConfig menu</strong><br><strong>/advancedConfig edit-bottom-invite-message</strong> &#x3C;<em>message</em>:<code>New message here</code>></td></tr><tr><td><code>/setPermissions</code></td><td>Allow or block a certain user or role to access a command.</td><td><strong>/setPermissions</strong> &#x3C;<em>user</em>: <code>@user</code>> <br><strong>/setPermissions</strong> &#x3C;<em>role</em>: <code>@role</code>></td></tr><tr><td><code>/advancedConfig</code></td><td>Configure advanced configurations</td><td><strong>/advancedConfig</strong></td></tr><tr><td><code>/disableChannel</code></td><td>Block commands in a channel</td><td><p><strong>/disableChannel  add</strong> [<em>channel</em>: <code>#channel</code>]</p><p><strong>/disableChannel list</strong></p><p><strong>/disableChannel remove</strong> [<em>channel</em>: <code>#channel</code>] </p><p><strong>/disableChannel removebyid</strong> [<em>channelid</em>: <code>yourchannelid</code>]</p></td></tr><tr><td>🆕<code>/leaderboardConfig</code></td><td>Configure the style of your leaderboard</td><td>/leaderboardConfig [<em>customized</em>: <code>custom leaderboard style here</code>]</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.invitelogger.me/general-topics/commands/config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
